FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 02-01-2008, 04:32 PM
Kevin Kempter
 
Default yum update dependancy error

Hi List;

I get the below error trying to run yum update. I suspect I need to remove
xine-lib-extras-nonfree and the re-add it myself after the update. Does this
sound like a proper plan?

Thanks in advance...

/Kevin




# yum update
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rhythmbox.i386 0:0.10.1-7.fc7 set to be updated
---> Package nautilus-sendto.i386 0:0.12-1.fc7 set to be updated
---> Package redhat-menus.noarch 0:8.9.10-4.fc7 set to be updated
---> Package pulseaudio-lib.i386 0:0.9.6-2.fc7.1 set to be updated

...

---> Package vim-common.i386 2:7.1.211-1.fc7 set to be updated
---> Package claws-mail.i386 0:3.2.0-3.fc7 set to be updated
---> Package glew.i386 0:1.4.0-5.fc7 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: xine-lib = 1.1.7 is needed by package
xine-lib-extras-nonfree


--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 02-01-2008, 04:42 PM
"Alan"
 
Default yum update dependancy error

> Hi List;
>
> I get the below error trying to run yum update. I suspect I need to
> remove
> xine-lib-extras-nonfree and the re-add it myself after the update. Does
> this
> sound like a proper plan?

It sounds like you are using a third-party repository that has not updated
xine-lib-extras-nonfree yet and it has a dependency on the old version. I
doubt if you will be able to re-add that package until that repository
builds a new version.

>
> Thanks in advance...
>
> /Kevin
>
>
>
>
> # yum update
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package rhythmbox.i386 0:0.10.1-7.fc7 set to be updated
> ---> Package nautilus-sendto.i386 0:0.12-1.fc7 set to be updated
> ---> Package redhat-menus.noarch 0:8.9.10-4.fc7 set to be updated
> ---> Package pulseaudio-lib.i386 0:0.9.6-2.fc7.1 set to be updated
>
> ...
>
> ---> Package vim-common.i386 2:7.1.211-1.fc7 set to be updated
> ---> Package claws-mail.i386 0:3.2.0-3.fc7 set to be updated
> ---> Package glew.i386 0:1.4.0-5.fc7 set to be updated
> --> Finished Dependency Resolution
> Error: Missing Dependency: xine-lib = 1.1.7 is needed by package
> xine-lib-extras-nonfree
>
>
> --
> fedora-list mailing list
> fedora-list@redhat.com
> To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
>

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 02-02-2008, 09:54 AM
"Michael Schwendt"
 
Default yum update dependancy error

On 01/02/2008, Kevin Kempter <kevin@kevinkempterllc.com> wrote:
> Hi List;
>
> I get the below error trying to run yum update. I suspect I need to remove
> xine-lib-extras-nonfree and the re-add it myself after the update. Does this
> sound like a proper plan?

No, it doesn't. Doing that only seldomly succeeds in working around
special dependency problems. It is a packager's fault if it succeeds.

> # yum update
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package rhythmbox.i386 0:0.10.1-7.fc7 set to be updated
> ---> Package nautilus-sendto.i386 0:0.12-1.fc7 set to be updated
> ---> Package redhat-menus.noarch 0:8.9.10-4.fc7 set to be updated
> ---> Package pulseaudio-lib.i386 0:0.9.6-2.fc7.1 set to be updated
>
> ...
>
> ---> Package vim-common.i386 2:7.1.211-1.fc7 set to be updated
> ---> Package claws-mail.i386 0:3.2.0-3.fc7 set to be updated
> ---> Package glew.i386 0:1.4.0-5.fc7 set to be updated
> --> Finished Dependency Resolution
> Error: Missing Dependency: xine-lib = 1.1.7 is needed by package
> xine-lib-extras-nonfree

The yum output is trimmed too much. Details are missing. What
repositories are enabled?

xine-lib in Fedora 7 Updates is at 1.1.10 and xine-lib-extras-nonfree
at Livna 7 is at 1.1.10, too.

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 

Thread Tools




All times are GMT. The time now is 07:18 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org